--- /dev/null
+#!/bin/sh
+set -eux
+
+RELEASE=${1:-sid}
+DISTRO=${2:-debian}
+
+toolbox rm -f $RELEASE || true
+toolbox -y create -c $RELEASE --image docker.io/$DISTRO:$RELEASE
+
+# can't do that with toolbox run yet, as we need to install sudo first
+podman start $RELEASE
+podman exec -it $RELEASE sh -exc '
+# https://bugzilla.redhat.com/show_bug.cgi?id=1785244
+if [ ! -e /etc/resolv.conf ]; then
+ ln -sfn /run/host/monitor/resolv.conf /etc/resolv.conf
+fi
+
+# go-faster apt/dpkg
+echo force-unsafe-io > /etc/dpkg/dpkg.cfg.d/unsafe-io
+
+apt-get update
+apt-get install -y libnss-myhostname sudo eatmydata libcap2-bin
+'
+
+toolbox run --container $RELEASE sh -exc '
+# otherwise installing systemd fails
+sudo umount /var/log/journal
+
+sudo eatmydata apt-get -y dist-upgrade
+
+# development tools
+sudo eatmydata apt-get install -y --no-install-recommends git-buildpackage libwww-perl less vim lintian debhelper manpages-dev git dput pristine-tar bash-completion python-keyrings.alt wget gnupg ubuntu-dev-tools python3-debian
+'
+
+toolbox enter --container $RELEASE
+++ /dev/null
-#!/bin/sh
-set -eux
-
-toolbox rm -f sid || true
-toolbox create -c sid --image docker.io/debian:unstable
-
-# can't do that with toolbox run yet, as we need to install sudo first
-podman start sid
-podman exec -it sid sh -exc '
-# https://bugzilla.redhat.com/show_bug.cgi?id=1785244
-if [ ! -e /etc/resolv.conf ]; then
- ln -sfn /run/host/monitor/resolv.conf /etc/resolv.conf
-fi
-
-# go-faster apt/dpkg
-echo force-unsafe-io > /etc/dpkg/dpkg.cfg.d/unsafe-io
-
-apt-get update
-apt-get install -y libnss-myhostname sudo eatmydata
-'
-
-toolbox run --container sid sh -exc '
-# otherwise installing systemd fails
-sudo umount /var/log/journal
-
-sudo eatmydata apt-get -y dist-upgrade
-
-# development tools
-sudo eatmydata apt-get install -y --no-install-recommends git-buildpackage libwww-perl less vim lintian debhelper manpages-dev git dput pristine-tar bash-completion python-keyrings.alt wget gnupg ubuntu-dev-tools python3-debian
-'
-
-toolbox enter --container sid